Storyden
Robots

Get a robot workspace

Retrieve a reusable Robot workspace template.

GET/robots/workspaces/{workspace_id}

Retrieve a reusable Robot workspace template.

storyden-session<token>

In: cookie

Path Parameters

workspace_id*string

Robot workspace ID

Response Body

application/json

application/json

curl -X GET "https://example.com/robots/workspaces/cc5lnd2s1s4652adtu50"
{
  "id": "cc5lnd2s1s4652adtu50",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "misc": {},
  "name": "string",
  "description": "string",
  "provider": "string",
  "config": {},
  "meta": {},
  "created_by": {
    "id": "cc5lnd2s1s4652adtu50",
    "joined": "2019-08-24T14:15:22Z",
    "suspended": "2019-08-24T14:15:22Z",
    "handle": "Southclaws",
    "name": "Barnaby Keene",
    "signature": "<body><p>Sent with love from London!</p></body>",
    "roles": [
      {
        "badge": true,
        "default": true,
        "id": "cc5lnd2s1s4652adtu50",
        "name": "string",
        "colour": "string",
        "meta": {}
      }
    ]
  }
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}